



############################
#
#
# This file is used to abstract the threading features in ODS
# It is needed because not all OS's that support Python support
# User level threads
#
############################


try:
    import threading
    RLock = threading.RLock
    
    def GetThreadId():
        return id(threading.currentThread())


except ImportError:

    def GetThreadId():
        return "Unthreaded"
    class RLock:
        def acquire(self): pass
        def release(self): pass
